> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metrics, starter briefs and the ledger



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/demand-inbox
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/demand-inbox:
    get:
      tags:
        - Demand Inbox
      summary: Metrics, starter briefs and the ledger
      operationId: getStorefrontDemandInbox
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          metrics:
                            type: array
                            items:
                              type: object
                              properties:
                                key:
                                  type: string
                                  enum:
                                    - briefs_ytd
                                    - answered_pct
                                    - win_rate
                                    - avg_grade
                                    - agent_vs_human
                                    - booked_ytd
                                label:
                                  type: string
                                value:
                                  type:
                                    - string
                                    - 'null'
                                unavailable:
                                  type: boolean
                              required:
                                - key
                                - label
                                - value
                                - unavailable
                              additionalProperties: false
                          starterBriefs:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                title:
                                  type: string
                                category:
                                  type: string
                                market:
                                  type: string
                                channel:
                                  type: string
                                  enum:
                                    - display
                                    - olv
                                    - social
                                    - search
                                    - ctv
                                    - linear_tv
                                    - radio
                                    - streaming_audio
                                    - podcast
                                    - dooh
                                    - ooh
                                    - print
                                    - cinema
                                    - email
                                    - gaming
                                    - retail_media
                                    - influencer
                                    - affiliate
                                    - product_placement
                                    - sponsored_intelligence
                                status:
                                  type: string
                                  enum:
                                    - ready
                                    - needs_inventory
                                brief:
                                  type: string
                              required:
                                - id
                                - title
                                - category
                                - market
                                - channel
                                - status
                                - brief
                              additionalProperties: false
                          rows:
                            type: array
                            items:
                              type: object
                              properties:
                                rfpId:
                                  type: string
                                latestTurnId:
                                  type:
                                    - string
                                    - 'null'
                                latestTurnState:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - queued
                                        - processing
                                        - ready
                                        - passed
                                        - needs_clarification
                                        - failed
                                    - type: 'null'
                                briefSummary:
                                  type: string
                                buyerLabel:
                                  type:
                                    - string
                                    - 'null'
                                advertiserLabel:
                                  type:
                                    - string
                                    - 'null'
                                receivedAt:
                                  type: string
                                  format: date-time
                                  pattern: >-
                                    ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
                                responseKind:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - product_offer
                                        - proposal
                                        - no_offer
                                        - unavailable
                                    - type: 'null'
                                result:
                                  type: string
                                  enum:
                                    - pending
                                    - closed_won
                                    - closed_lost
                                grade:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - A
                                        - B
                                        - C
                                        - D
                                        - E
                                        - F
                                    - type: 'null'
                                ledBy:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - agent
                                        - human
                                    - type: 'null'
                                endorsed:
                                  type: boolean
                              required:
                                - rfpId
                                - latestTurnId
                                - latestTurnState
                                - briefSummary
                                - buyerLabel
                                - advertiserLabel
                                - receivedAt
                                - responseKind
                                - result
                                - grade
                                - ledBy
                                - endorsed
                              additionalProperties: false
                        required:
                          - metrics
                          - starterBriefs
                          - rows
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````